summaryrefslogtreecommitdiff
path: root/pre-commit.d/10warn-hardlinks
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2007-11-05 16:13:13 -0500
committerJoey Hess <joey@kodama.kitenet.net>2007-11-05 16:13:13 -0500
commitab6f7188c53c6580c64702e1cebb5326e998e225 (patch)
tree30586c0e47208cc3e478fcbc0e08cb7f513796bb /pre-commit.d/10warn-hardlinks
parent7c73a6613efddc2635d021c075651f367a273062 (diff)
implemented the pre-commit hook
Diffstat (limited to 'pre-commit.d/10warn-hardlinks')
-rwxr-xr-xpre-commit.d/10warn-hardlinks7
1 files changed, 7 insertions, 0 deletions
diff --git a/pre-commit.d/10warn-hardlinks b/pre-commit.d/10warn-hardlinks
new file mode 100755
index 0000000..f449fed
--- /dev/null
+++ b/pre-commit.d/10warn-hardlinks
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+hardlinks=$(find -type f -not -links 1 | grep -v /.git/)
+if [ -n "$hardlinks" ]; then
+ echo "warning: hardlinked files could cause problems with git:" >&2
+ echo "$hardlinks" >&2
+fi